get
/api/v2/actions/{id}Get one action recommendation with recent events. WatchLLM extension, not confirmed Promptwatch public REST parity.
Get one action recommendation with recent events. WatchLLM extension, not confirmed Promptwatch public REST parity.
Requires bearer API key
Parameters
id
path / required
No description provided.
Schema: string
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"type": {
"type": "string"
},
"severity": {
"type": "string",
"enum": [
"high",
"medium",
"low"
]
},
"status": {
"type": "string",
"enum": [
"to_do",
"in_progress",
"done",
"dismissed"
]
},
"assignee": {
"type": "string",
"nullable": true
},
"dueAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"snoozedUntil": {
"type": "string",
"format": "date-time",
"nullable": true
},
"recommendation": {
"type": "string"
},
"ctaLabel": {
"type": "string"
},
"ctaRoute": {
"type": "string"
},
"benefitBullets": {
"type": "array",
"items": {
"type": "string"
}
},
"metadata": {
"type": "object",
"additionalProperties": true
},
"addedAt": {
"type": "string",
"format": "date-time"
},
"events": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"fromStatus": {
"type": "string",
"nullable": true
},
"toStatus": {
"type": "string",
"enum": [
"to_do",
"in_progress",
"done",
"dismissed"
]
},
"note": {
"type": "string",
"nullable": true
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"toStatus",
"createdAt"
]
}
}
},
"required": [
"id",
"title",
"type",
"severity",
"status",
"recommendation",
"metadata",
"events"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.